//+------------------------------------------------------------------+
//|                              Kino StopLoss with ATR Channels.mq4 |
//|                                 Copyright  2009,  KINONEN"      |
//+------------------------------------------------------------------+

#property copyright "Copyright  2009, KINONEN"
#property indicator_chart_window
#property  indicator_buffers 2
#property  indicator_color1  Crimson // Lower band 1
#property  indicator_color2  Blue // Upper band 1

//---- indicator buffers
double     Ch1up_Buffer1[];
double     Ch1dn_Buffer2[];

//---- input parameters
extern int    PeriodsATR=10;   // if turtle long term put 20


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
 
  // ATR 1 dw = StopLoss for BUY
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,Ch1up_Buffer1);
   SetIndexDrawBegin(1,0);
   SetIndexLabel(1,"StopLoss for SELL");
  // ATR 1 up= StopLoss for SELL
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Ch1dn_Buffer2);
   SetIndexDrawBegin(0,0);
   SetIndexLabel(0,"StopLoss for BUY");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int fixed_bars=IndicatorCounted();
   for(int i=0;i< Bars - fixed_bars;i++)
     { 
         double atr=iATR(NULL,0,PeriodsATR,i);
         double close=iClose(0,0,i);
         Ch1up_Buffer1[i]=close+atr*2;
         Ch1dn_Buffer2[i]=close-atr*2;
         
      }  
   
//---- 
   
//----
   return(0);
  }

